diff -ur xmms-1.2.7/xmms/main.c xmms-colin/xmms/main.c
--- xmms-1.2.7/xmms/main.c	Wed Feb 27 15:30:28 2002
+++ xmms-colin/xmms/main.c	Wed Apr 24 12:36:02 2002
@@ -1337,6 +1337,11 @@
 	draw_main_window(TRUE);
 }
 
+void mainwin_raise(void) 
+{
+	gdk_window_raise(mainwin->window);
+}
+
 gboolean mainwin_keypress(GtkWidget * w, GdkEventKey * event, gpointer data)
 {
 	
diff -ur xmms-1.2.7/xmms/main.h xmms-colin/xmms/main.h
--- xmms-1.2.7/xmms/main.h	Mon Jan 21 15:22:38 2002
+++ xmms-colin/xmms/main.h	Wed Apr 24 12:37:26 2002
@@ -120,6 +120,8 @@
 void mainwin_set_shade(gboolean shaded);
 void mainwin_shade_toggle(void);
 
+void mainwin_raise(void);
+
 #define PLAYER_HEIGHT ((cfg.player_shaded ? 14 : 116) * (cfg.doublesize + 1))
 #define PLAYER_WIDTH (275 * (cfg.doublesize + 1))
 
diff -ur xmms-1.2.7/xmms/playlistwin.c xmms-colin/xmms/playlistwin.c
--- xmms-1.2.7/xmms/playlistwin.c	Mon Jan 21 15:22:39 2002
+++ xmms-colin/xmms/playlistwin.c	Wed Apr 24 12:38:17 2002
@@ -1042,6 +1042,7 @@
 	playlistwin_shade->pb_allow_draw = TRUE;
 	playlistwin_focus = TRUE;
 	draw_playlist_window(TRUE);
+	mainwin_raise();
 }
 
 void playlistwin_focus_out(GtkWidget * widget, GdkEventButton * event, gpointer callback_data)
